
//
//  AmbientLighting.hs
//
//  Created by Joseph Danaher. (Joseph@z2.com)
//  Copyright (c) 2014 Z2Live. All rights reserved.
//

Vec4_h Calculate_AmbientLight(
			Vec3_h   ambientRGB,
			Float_l  ambientLightIntensity
)
{
    // Calculate the ambient light contribution
    Vec3_m ambientLight = ambientRGB * ambientLightIntensity;

    return Vec4(ambientLight, 1.0);
}