varying Vec4_h color;
varying Vec4_h worldPosition;

//------------------------------------------------------------------------------
#ifdef Vertex

uniform Mat4_h worldMatrix;

void main()
{
	color = colorUniform;

    worldPosition =
        MULT_MAT_VEC(
            worldMatrix,
            Vec4(vertexPosition.xyz, 1.0));

    pixelPosition = MULT_MAT_VEC(viewProjMatrix, worldPosition);
}

#endif // Vertex
//------------------------------------------------------------------------------
#ifdef Pixel

void main()
{
    outputColor = color;
}

#endif // Pixel