
//
//  WorldSpaceNormal.hs
//
//  Created by Aaron Bossert. (aaronb@z2.com)
//  Copyright (c) 2013 Z2Live. All rights reserved.
//

// World matrix will be defined after getWorldSpaceNormal, which needs to read it.
// By making getWorldSpaceNormal a macro we are able to get around this issue.
#define getWorldSpaceNormal(vertexNormal) (normalize(MULT_MAT_VEC(worldMatrix, Vec4(vertexNormal, 0.0)).xyz));
