
//
//  abstract2TextureBlend.hs
//
//  Created by Aaron Bossert. (aaronb@z2.com)
//

#include <prometheusVertexTransparency.hs> // GetVertexTransparency

uniform Float_h kHeightMaskPower;

#ifdef Pixel

	#define ApplySurfaceColor() outputColor = Lit_2TextureBlend(texture1, texture2)
	Vec4_m Lit_2TextureBlend(Vec4_l texture1, Vec4_l texture2)
	{
	    Float_l vtx_A = GetVertexTransparency();

	    Float_l bias = 2.0;
	    Float_l mask = clamp( pow( ( vtx_A ), bias ), 0.0, 1.0 );

	    return mix( texture2, texture1, mask );
	}

#endif


