//
//  clearDepthSkinned.vs
//

#include <Skinning.hs>

// uniforms
uniform Mat4_h worldMatrix;


void main(){

	// transform object->world
    Mat4_h skinnedWorldMatrix = worldMatrix * SkinnedTransform(vertexBoneWeights, vertexBoneIndices);
	pixelPosition = MULT_MAT_VEC(skinnedWorldMatrix, Vec4(vertexPosition.xyz, 1.0));

    pixelPosition = MULT_MAT_VEC(viewProjMatrix, pixelPosition);
    pixelPosition.z = pixelPosition.w; // write 1 to the depth buffer so everything else will pass
}

