
//
//  debug.hs
//
//  Created by Aaron Bossert
//
//

Vec3_h visualizeGrid(Vec3_h val, Float_h sharpness)
{
    return pow(abs((fract(val) * 2.0 - 1.0)), Vec3(sharpness));
}

Vec3_h visualizeMultiGrid(Vec3_h val, Float_h sharpness)
{
    Vec3_h primeGridOscillation = sin(3.1415926 * (-0.125 * sign(val) + time + Vec3(
        0.0 / 3.0,
        2.0 / 3.0,
        4.0 / 3.0
        ))) * 0.25 + 0.25;

    Float_h primeGridDisplacement = abs((fract(length(val) + time) * 2.0 - 1.0));

    return  (
    visualizeGrid(val * 0.01, sharpness * 8.0) +
    visualizeGrid(val, sharpness / 2.7) * 0.25 +
    visualizeGrid(val * 10.0, sharpness / 2.7 / 2.7) * 0.25
    );
}