
#ifdef Vertex

	#include <Skinning.hs>

	uniform mat4 worldMatrix;

	void main()
	{
	    pixelPosition =
	    MULT_MAT_VEC(viewProjMatrix,
	    MULT_MAT_VEC(worldMatrix * SkinnedTransform(vertexBoneWeights, vertexBoneIndices),
	    Vec4(vertexPosition.xyz, 1.0)));
	}

#endif


#ifdef Pixel

	void main()
	{
	    outputColor = Vec4(1.0, 0.0, 0.0, 1.0);
	}

#endif

