//
//  flatScrolling.vs
//
//  Created by Aaron Bossert. (aaronb@z2.com)
//  Copyright (c) 2013 Z2Live. All rights reserved.
//

// uniforms
uniform Mat4_h worldMatrix;
uniform Float_h gUScrollSpeed;
uniform Float_h gVScrollSpeed;



// varyings
varying Vec4_l pixelColorScale;


void main(){

	pixelColorScale = Vec4(1.0);


    pixelPosition = MULT_MAT_VEC(viewProjMatrix, MULT_MAT_VEC(worldMatrix, Vec4(vertexPosition.xyz, 1.0)));

    texture1_uv += fract(time * Vec2(gUScrollSpeed, gVScrollSpeed));

    pixelColorScale = Vec4(vertexColor.rgb, 1.0) * colorUniform;
}

