function mission:intro()

-- Prevent player from planting cotton
    disableRecipe("recipe_harv_cotton")

-- Dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_intro_100_angelfish", tone = "happy" })
	showDialogueLeft({ characterKey = "keani", textKey = "mission_intro_110_angelfish" })
	showDialogueLeft({ characterKey = "keani", textKey = "mission_intro_140_angelfish" })
	showDialogueLeft({ characterKey = "keani", textKey = "mission_intro_141_angelfish" })
	hideDialogue()

-- Pan camera to turtle
    panCameraToBuildingWithTag("tag_building_beached_turtle_shared")

-- Dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_100" })
	showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_101" })
	hideDialogue()

-- Pan camera to farm plot
    panCameraToBuildingWithTag("tag_farmPlot_fullCotton_1")

-- Lock camera
	disablePanning()

-- Limit player interaction to this building type
	limitPickingToBuildingsWithTag("tag_farmPlot")

	-- Dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_110" })
	hideDialogue()

-- Show arrow effect above cotton plot
	showAlertOnReadyMillsWithTag("arrow", "tag_farmPlot")
	
-- Show infographic
    showMovieOnLocatorWithCollectionIcon("infographic_harvest.swf", "loc_collect_harvester_recipeList_farmPlot_idle", "harvester_recipeList_farmPlot")

end

function mission:outro()

-- Unlock camera
	enablePanning()

-- Remove Limited player interaction to this building type
	removeBuildingPickingLimitation("tag_farmPlot")

-- Hide infographic
    hideMovieOnLocator("infographic_harvest.swf", "loc_collect_harvester_recipeList_farmPlot_idle")

-- Hide arrow effect above cotton plot
	hideAlertOnBuildingWithTag("arrow", "tag_farmPlot")

-- Re-enable cotton
    enableRecipe("recipe_harv_cotton")

end