function mission:intro()

-- Prevent player from planting cotton
    disableRecipe("recipe_harv_cotton")

-- Prevent player from planting cotton
    disableRecipe("recipe_harv_bamboo")

-- Pan camera to farm plot
    panCameraToBuildingWithTag("tag_farmPlot_fullCotton_1")

-- Dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_240", tone = "action" })
	hideDialogue()

-- Lock camera
	disablePanning()

-- Limit player interaction to this building type
	limitPickingToBuildingsWithTag("tag_farmPlot")
  
-- Show arrow effect above cotton plot
	showAlertOnReadyMillsWithTag("arrow", "tag_farmPlot")
	
-- Show infographic
    showMovieOnLocatorWithCollectionIcon("infographic_harvest.swf", "loc_collect_harvester_recipeList_farmPlot_idle", "harvester_recipeList_farmPlot")

end

function mission:outro()

-- Unlock camera
	enablePanning()

-- Remove Limited player interaction to this building type
	removeBuildingPickingLimitation("tag_farmPlot")

-- Hide infographic
    hideMovieOnLocator("infographic_harvest.swf", "loc_collect_harvester_recipeList_farmPlot_idle")

-- Hide arrow effect above cotton plot
	hideAlertOnBuildingWithTag("arrow", "tag_farmPlot")

-- Re-enable cotton
    enableRecipe("recipe_harv_cotton")

-- Re-enable bamboo
    enableRecipe("recipe_harv_bamboo")

end