function mission:intro()

-- Save the current camera position
	saveCameraState()

-- Initial camera position
	setCameraState({ location = {-6.493237, 5.395532, 13.871338}, lookAt = {-29.507282, 6.414522, 5.906569}, fov = 30.000000})

-- Waits for the intro (if playing) to complete
    waitForIntroSequenceToComplete()

-- Wait to establish the opening shot before moving the camera
    wait(1)
    
-- Camera sequence to Keani
	animateCameraTo(5.000000, { location = {-12.480000, 19.680000, 9.570000}, lookAt = {-25.600000, 0.000000, -3.550000}, fov = 30.000000})

-- Go back to the default camera position
	animateCameraToSavedState(0)

-- Fire event
    fireEventNamed("IntroAnimationDidFinishEvent")

end
