function mission:intro()

-- Disable harvesting
    disableHarvesting()

-- Disable hurrying
    disableHurrying()

-- Pan to the field area
    panCameraToWorldPosition(-12, 0, 0)
      
-- Lock camera
	disablePanning()

-- Limit player interaction to this building type
    limitPickingToBuildingsWithTag("tag_farmPlot")
  
-- Dialog Keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_plant_bamboo_1_worldwide_100", tone = "fact" })
    hideDialogue()
    
-- Show infographic
    showMovieOnLocatorWithRecipeIcon("infographic_plant.swf", "loc_enqueue_recipe_harv_bamboo_idle", "recipe_harv_bamboo")

-- Show arrow above empty plot
    showAlertOnEmptyMillsWithTag("arrow", "tag_farmPlot")

-- Prevent player from planting cotton
    disableRecipe("recipe_harv_cotton")

end

function mission:outro()

-- Dialog keani
    showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_254", tone = "action" })
    showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_260" })
    hideDialogue()

-- Unlock camera
	enablePanning()

-- Remove Limited player interaction to this building type
    removeBuildingPickingLimitation("tag_farmPlot")
	
-- Re-enable cotton
    enableRecipe("recipe_harv_cotton")

-- Hide arrow above cotton plot
	hideAlertOnBuildingWithTag("arrow", "tag_farmPlot")

-- Hide infographic
    hideMovieOnLocator("infographic_plant.swf", "loc_enqueue_recipe_harv_bamboo_idle")

-- Enable harvesting
    enableHarvesting()

-- Enable hurrying
    enableHurrying()

end