function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

local characterPortraitHudArrows = false

function mission:intro()

-- THIS TAG SHOULD MATCH THE TAG IN THE OBJECTIVE
-- If Finn hasn't appeared then the character hud portrait arrow should be shown
	if not hasBuildingWithTag("tag_building_boy") then

	-- Dialog keani
		showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_324", tone = "fact" })
		hideDialogue()

  	-- Limit player interaction to this building type
      	limitPickingToBuildingsWithTag("tag_building_medicine_woman_shared")
  
	-- Show arrow on keani's portrait
		showArrowOnLocatorSequenceWithOptions({rotation=270}, "locatorId_hud_characterHudAlert_portrait")

    -- Character hud portrait arrows are now shown so flag local variable to true
		characterPortraitHudArrows = true

	end
end

function mission:outro()

-- Character hud portrait arrows are shown they need to be hidden    
    if characterPortraitHudArrows then

-- Remove Limited player interaction to this building type
    removeBuildingPickingLimitation("tag_building_medicine_woman_shared")

-- Hide arrow on keani's portrait
	hideArrowOnLocatorSequence("locatorId_hud_characterHudAlert_portrait")

	end
end