function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

local characterPortraitHudArrows = false

function mission:intro()

-- THIS TAG SHOULD MATCH THE TAG IN THE OBJECTIVE
-- If Finn has appeared then the character hud portrait arrow should be shown
	if hasBuildingWithTag("tag_building_boy") then

	-- Show arrow on Finn's portrait
		showArrowOnLocatorSequenceWithOptions({rotation=270}, "locatorId_hud_characterHudAlert_portrait")

    -- Character hud portrait arrows are now shown so flag local variable to true
		characterPortraitHudArrows = true

	end
end

function mission:outro()

-- Character hud portrait arrows are shown they need to be hidden    
    if characterPortraitHudArrows then

-- Hide arrow on Finn's portrait
	hideArrowOnLocatorSequence("locatorId_hud_characterHudAlert_portrait")

	end
end