function mission:intro()

-- Initial camera position
	setCameraState({location = {-9.422596, 8.402238, 24.933899}, lookAt = {-28.349434, 6.658697, -9.845249}, fov = 26.000000})

-- Waits for the intro (if playing) to complete
    waitForIntroSequenceToComplete()

-- Wait to establish the opening shot before moving the camera
    wait(2)
    
-- Camera sequence to Keani
	animateCameraTo(5, {location = {-11.088001, 28.368000, -12.088001}, lookAt = {-30.000000, 0.000000, -31.000000}, fov = 30})

-- Dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_intro_100", tone = "happy" })
	showDialogueLeft({ characterKey = "keani", textKey = "mission_intro_110" })
	showDialogueLeft({ characterKey = "keani", textKey = "mission_intro_120" })
	showDialogueLeft({ characterKey = "keani", textKey = "mission_intro_130" })
	showDialogueLeft({ characterKey = "keani", textKey = "mission_intro_140" })
	hideDialogue()

end