function hasBuildingWithTag(tag)
	local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

function mission:intro()

	-- THIS TAG SHOULD MATCH THE TAG IN THE OBJECTIVE
	if not hasBuildingWithTag("tag_dock_shared_special") then

	-- Show alert arrow on the dock upgrade tap area
		showAlertOnBuildingWithTag("arrow", "tag_building_dock_upgrade_arrow")

	-- Pan camera to dock area to upgrade
		panCameraToWorldPosition(2, 0, 8)

	-- Dialog wesley
		showDialogueLeft({ characterKey = "edwyn", textKey = "mission_upgrade_dock_tutorial_100", tone = "action" })
		hideDialogue()

	-- Dialog wesley
		showDialogueLeft({ characterKey = "edwyn", textKey = "mission_upgrade_dock_tutorial_110" })
		hideDialogue()

	-- Hide alert arrow on the dock upgrade tap area
		hideAlertOnBuildingWithTag("arrow", "tag_building_dock_upgrade_arrow")

	end

end

function mission:outro()

	-- Dialog wesley
		showDialogueLeft({ characterKey = "edwyn", textKey = "mission_upgrade_dock_tutorial_120", tone = "happy" })
		hideDialogue()

end
