

#include <prometheusWorldNormal.hs>

varying Vec3_h vPL_dir;

#if defined Vertex

    uniform Vec3_h  gPL_position;
    uniform Float_m gPL_radius;

    #define SetLocalLight() vPL_dir = (gPL_position - GetWorldPosition().xyz) / gPL_radius;

#endif


#if defined Pixel

    uniform Float_m gPL_intensity;
    uniform Vec3_m  gPL_color;

    #define GetLocalLight local_light_ps

    #define local_light_ps() (gPL_color * gPL_intensity * (max(dot(vPL_dir, GetWorldNormal()), 0.0) / dot(vPL_dir, vPL_dir)))

#endif
