//
//  renderToShadowMap shaders
//`
//  Created by Aaron Bossert. (aaronb@z2.com)
//

#ifdef Vertex

#include <prometheusLightingUniforms.hs>

// uniforms
uniform Mat4_h worldMatrix;

void main(){

	pixelPosition = MULT_MAT_VEC(worldMatrix, Vec4(vertexPosition.xyz, 1.0));

    pixelPosition = MULT_MAT_VEC(worldToShadowNDC, pixelPosition);
	pixelPosition /= pixelPosition.w;
}

#endif

#ifdef Pixel

void main()
{
}

#endif