//
//  skybox.vs
//
//  Created by Joseph Danaher. (joseph@z2.com)
//  Copyright (c) 2013 Z2Live. All rights reserved.
//


// uniforms
uniform Mat4_h worldMatrix;

// varyings
varying Vec4_l pixelColorScale;

void main(){

    pixelPosition = MULT_MAT_VEC(viewProjMatrix, vec4(vertexPosition.xyz, 0.0)).xyww;

    // If if bothers art that the horizon level is "changing", here's this:
    //pixelPosition.y = MULT_MAT_VEC(viewProjMatrix, MULT_MAT_VEC(worldMatrix, vertexPosition)).y;

    pixelColorScale = vertexColor * colorUniform;
}

