//
//  solidIntersect.vs
//
//  Created by Aaron Bossert. (aaronb@z2.com)
//  Copyright (c) 2013 Z2Live. All rights reserved.
//

varying Vec4_h color;

#ifdef Vertex

	// uniforms
	uniform Float_h frequency;

	void main()
	{

	#ifdef InitWorldTransform
		InitWorldTransform();
	#endif

	#ifdef InitWorldPosition
		InitWorldPosition();
	#endif

		Float_h scale = fract(-time * frequency);

		color = colorUniform * scale;

	#ifdef ApplyViewProjTransform
	    ApplyViewProjTransform();
	#endif

	#ifdef SetFog
	    SetFog();
	#endif

	}


#endif


#ifdef Pixel

	void main()
	{
	    outputColor = color;

	#ifdef ApplyFog
	    ApplyFog(outputColor.rgb);
	#endif
	}

#endif