
//
//  Lightmap.hs
//
//  Created by Joseph Danaher. (Joseph@z2.com)
//  Copyright (c) 2014 Z2Live. All rights reserved.
//

Vec4_h LightmapContribution(
			Vec4_h  pixelColorScale,
			Vec4_h  lightmapRGB,
			Float_l lightmapIntensity

			)
{
    // Calculate the lightmap contribution
    Vec4_h lightmapContribution = lightmapRGB * lightmapIntensity;

    return Vec4( pixelColorScale.rgb + lightmapContribution.rgb, 1.0 );

}
