//
//  SpecularHilighting.hs
//

Vec3_h GenerateSpec(Vec3_h pixelSpecular, Vec3_h pixelViewDir, Vec3_h directionalLightColor, Float_m SpecularFalloff, Float_m SpecularHighlightSize, Float_m SpecularIntensity){

	//Vec3_h adjust = mix(pixelSpecular, pixelViewDir, -1.0); // Could not get 'pinhole' spec with this
    //Float_h spec = SpecularFalloff * pow(max(dot(normalize(pixelSpecular), pixelViewDir), 0.0), SpecularHighlightSize);
    Float_h spec = 1.0* pow(max(dot(normalize(pixelSpecular), pixelViewDir), 0.0), 20.0);

	return Vec3(spec * SpecularIntensity) * directionalLightColor;

}