
//
//  abstractPingPongUV.hs
//
//  Created by Aaron Bossert. (aaronb@z2.com)
//

#ifdef Vertex

	#include <Helpers.hs>

	void ModifyTexture1UV(Vec4_h worldPos)
	{
	    highp float xFactor1 = float(1.0);
	    highp float dist_sm  = float(1.2);

	    Float_h shoreRound = sineRound(  xFactor1, dist_sm );
	    Float_h shoreChaos = sineChaos( fract(worldPos.x) * 2.0,  0.02);

	    texture1_uv += Vec2( shoreRound * (1.0 + fract(worldPos.z)) * 0.05, time * 0.02 );
	    texture1_uv.x -= shoreChaos;
	}

	#define ModifyTexture1UV() ModifyTexture1UV(GetWorldPosition())

#endif


