//
//  dullTransparent.vs
//
//  Created by Aaron Bossert. (aaronb@z2.com)
//  Copyright (c) 2013 Z2Live. All rights reserved.
//

#include <DepthFogging.hs>

// uniforms
uniform Mat4_h worldMatrix;


// varyings
varying Vec4_l pixelColorScale;


void main(){


    pixelPosition = MULT_MAT_VEC(viewProjMatrix, MULT_MAT_VEC(worldMatrix, Vec4(vertexPosition.xyz, 1.0)));

    pixelColorScale = vertexColor;

    GeneratePixelFog();

}

