// this is used when we have failed to compile/load a material

uniform Mat4_h worldMatrix;


uniform Vec4_h color;

varying Vec4_l pixelColorScale;

void main(){

	pixelColorScale = color * ceil(fract(time) - 0.5);

    pixelPosition = MULT_MAT_VEC(viewProjMatrix, MULT_MAT_VEC(worldMatrix, Vec4(vertexPosition.xyz, 1.0)));
}

