function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

local buildMenuArrows = false

function mission:intro()

  -- THIS TAG SHOULD MATCH THE TAG IN THE OBJECTIVE
	  if not hasBuildingWithTag("tag_instrumentMaker") then

	  -- Dialog finn
        showDialogueLeft({ characterKey = "moppet", textKey = "mission_angelfish_build_woodshop_100", tone = "action" })
        hideDialogue()

	  -- Show UI arrows on build menu elements
        showArrowOnLocatorSequence("locatorId_hud_buildButton", "category_locator_houses", "build_menu_item_locator_building_woodCrafter")

      -- Build menu arrows are now shown so flag local variable to true
        buildMenuArrows = true

    end

end

function mission:outro()

  -- If build menu arrows are shown they need to be hidden    
    if buildMenuArrows then
        buildMenuArrows = false

	-- Hide UI arrows on build menu elements
   		hideArrowOnLocatorSequence("locatorId_hud_buildButton", "category_locator_houses", "build_menu_item_locator_building_woodCrafter")
 
  -- Dialog finn
      showDialogueLeft({ characterKey = "moppet", textKey = "mission_angelfish_build_woodshop_110", tone = "happy" })
      hideDialogue()

    end

end