function mission:intro()

-- Limit player interaction to no buildings at all
	limitPickingToBuildingsWithTag("")

-- Pan to the Finn's tree
    panCameraToWorldPosition(-39, 0, 15, 0.0)

-- Dialog Finn
	showDialogueLeft({ characterKey = "moppet", textKey = "mission_angelfish_ftue_360" })

-- Dialog Keani
	showDialogueRight({ characterKey = "keani", textKey = "mission_angelfish_ftue_370" })

-- Dialog Finn
	showDialogueLeft({ characterKey = "moppet", textKey = "mission_angelfish_ftue_380" })

-- Dialog Keani
	showDialogueRight({ characterKey = "keani", textKey = "mission_angelfish_ftue_390" })
	showDialogueRight({ characterKey = "keani", textKey = "mission_angelfish_ftue_400" })
	showDialogueRight({ characterKey = "keani", textKey = "mission_angelfish_ftue_401" })
	hideDialogue()

-- Pan camera to weaver
    panCameraToBuildingWithTag("tag_loom")

-- Dialog Keani
	showDialogueRight({ characterKey = "keani", textKey = "mission_angelfish_ftue_403", tone = "action" })
	hideDialogue()

-- Remove Limited player interaction
	removeBuildingPickingLimitation("")

-- Limit player interaction to no buildings at all
	limitPickingToBuildingsWithTag("tag_loom")

-- Show arrow alert on the loom
	showAlertOnBuildingWithTag("arrow", "tag_loom")

end

function mission:outro()

-- Close the context menu
    deselectEntity()
    
-- Hide arrow alert on the loom
	hideAlertOnBuildingWithTag("arrow", "tag_loom")
	
-- Remove Limited player interaction to this building type
	removeBuildingPickingLimitation("tag_loom")

end
