function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

function mission:intro()

  -- If you do not have Clara
	if not hasBuildingWithTag("tag_building_adventurer") then

	-- Dialog wesley
	showDialogueLeft({ characterKey = "edwyn", textKey = "mission_event_halloween15_01_100", tone = "fact"})

		-- If you have Clara
	  	else if hasBuildingWithTag("tag_building_adventurer") then

		-- Dialog clara
		showDialogueLeft({ characterKey = "clara", textKey = "mission_event_halloween15_01_100", tone = "fact"})	  	

	  	end

	end

-- dialog keani
	showDialogueRight({ characterKey = "keani", textKey = "mission_event_halloween15_01_110"})

-- dialog finn
	showDialogueLeft({ characterKey = "moppet", textKey = "mission_event_halloween15_01_120"})

-- dialog sita
	showDialogueRight({ characterKey = "jasmine", textKey = "mission_event_halloween15_01_130"})	
	hideDialogue()

-- Display arrow on bazaar
	showAlertOnBuildingWithTag("arrow", "tag_building_shop")	

-- Pan camera to bazaar
    panCameraToBuildingWithTag("tag_building_shop")

-- Force bazaar to open to halloween deco tab
	setDefaultBazaarFocusItem("building_deco_frightful_fence_smart")    


end

function mission:outro()	

-- Clear bazaar forced focus item
	clearDefaultBazaarFocusItem()
	
-- Hide arrow on bazaar
	hideAlertOnBuildingWithTag("arrow", "tag_building_shop")

-- dialog finn
	showDialogueLeft({ characterKey = "moppet", textKey = "mission_event_halloween15_01_140"})

-- dialog wesley
	showDialogueRight({ characterKey = "edwyn", textKey = "mission_event_halloween15_01_150"})

-- dialog keani
	showDialogueRight({ characterKey = "keani", textKey = "mission_event_halloween15_01_160"})

-- dialog pike
	showDialogueLeft({ characterKey = "henry", textKey = "mission_event_halloween15_01_170"})
hideDialogue()

end
