function mission:intro()

-- Disable harvesting
	disableHarvesting()

-- Disable Hurrying
    disableHurrying()

-- Dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_120", tone = "action" })
	hideDialogue()

-- Pan camera to farm plot
    panCameraToBuildingWithTag("tag_farmPlot_fullCotton_1")

-- Lock camera
	disablePanning()

-- Limit player interaction to this building type
	limitPickingToBuildingsWithTag("tag_farmPlot")

-- Show infographic
    showMovieOnLocatorWithRecipeIcon("infographic_harvest.swf", "loc_enqueue_recipe_harv_cotton_idle", "recipe_harv_cotton")

-- Show arrow above empty plot
    showAlertOnEmptyMillsWithTag("arrow", "tag_farmPlot")

-- Disable bamboo
    disableRecipe("recipe_harv_bamboo")

end

function mission:outro()

-- Unlock camera
	enablePanning()

-- Remove Limited player interaction to this building type
	removeBuildingPickingLimitation("tag_farmPlot")

-- Hide infographic
    hideMovieOnLocator("infographic_harvest.swf", "loc_enqueue_recipe_harv_cotton_idle")

-- Hide arrow above cotton plot
	hideAlertOnBuildingWithTag("arrow", "tag_farmPlot")

-- Dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_130", tone = "happy" })
	hideDialogue()

-- Enable bamboo
    enableRecipe("recipe_harv_bamboo")

-- Enable harvesting
	enableHarvesting()

-- Enable hurrying
    enableHurrying()
	
end
