function mission:intro()

-- Disable harvesting
	disableHarvesting()

-- Disable hurrying
    disableHurrying()

-- Pan camera to farm plot
    panCameraToBuildingWithTag("tag_farmPlot_fullCotton_1")

-- Lock camera
	disablePanning()

-- Limit player interaction to this building type
	limitPickingToBuildingsWithTag("tag_farmPlot")
  
-- Dialog keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_252", tone = "fact" })
	showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_253" })
	showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_250" })
	hideDialogue()

-- Show infographic
    showMovieOnLocatorWithRecipeIcon("infographic_harvest.swf", "loc_enqueue_recipe_harv_cotton_idle", "recipe_harv_cotton")

-- Show arrow above empty plot
    showAlertOnEmptyMillsWithTag("arrow", "tag_farmPlot")

-- Disable bamboo
    disableRecipe("recipe_harv_bamboo")
    
end

function mission:outro()

-- Unlock camera
	enablePanning()

-- Remove Limited player interaction to this building type
	removeBuildingPickingLimitation("tag_farmPlot")

-- Hide infographic
    hideMovieOnLocator("infographic_harvest.swf", "loc_enqueue_recipe_harv_cotton_idle")

-- Hide arrow above cotton plot
	hideAlertOnBuildingWithTag("arrow", "tag_farmPlot")

-- Enable bamboo
    enableRecipe("recipe_harv_bamboo")

-- Enable harvesting
	enableHarvesting()

-- Enable hurrying
    enableHurrying()

end