function mission:intro()

-- Disable harvesting
    disableHarvesting()

-- Disable hurrying
    disableHurrying()

-- Dialog Keani
	showDialogueLeft({ characterKey = "keani", textKey = "mission_angelfish_ftue_322", tone = "action" })
    hideDialogue()

-- Limit player interaction to this building type
    limitPickingToBuildingsWithTag("tag_farmPlot")
     
-- Show infographic
    showMovieOnLocatorWithRecipeIcon("infographic_harvest.swf", "loc_enqueue_recipe_harv_cotton_idle", "recipe_harv_cotton")

-- Show arrow above empty plot
    showAlertOnEmptyMillsWithTag("arrow", "tag_farmPlot")

-- Disable bamboo
    disableRecipe("recipe_harv_bamboo")

end

function mission:outro()

-- Remove Limited player interaction to this building type
    removeBuildingPickingLimitation("tag_farmPlot")

-- Hide arrow above cotton plot
	hideAlertOnBuildingWithTag("arrow", "tag_farmPlot")

-- Hide infographic
    hideMovieOnLocator("infographic_harvest.swf", "loc_enqueue_recipe_harv_cotton_idle")
    
-- Enable bamboo
    enableRecipe("recipe_harv_bamboo")

-- Enable harvesting
    enableHarvesting()

-- Enable hurrying
    enableHurrying()

end