function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

local arrows = false

function mission:intro()

  -- THIS TAG SHOULD MATCH THE TAG IN THE OBJECTIVE
	if hasBuildingWithTag("tag_seafoodGrill") then

	-- Dialog keani
	    showDialogueLeft({ characterKey = "keani", textKey = "mission_make_grilled_fish_worldwide_100", tone = "fact" })
	    hideDialogue()

	-- Pan camera to the grill
  		panCameraToBuildingWithTag("tag_seafoodGrill")

	-- Show arrow alert on the grill
		showAlertOnBuildingWithTag("arrow", "tag_seafoodGrill")

	-- Show infographic
    	showMovieOnLocatorWithRecipeIcon("infographic_mill.swf", "loc_mill_enqueue_recipe_grilled_fish_idle", "recipe_grilled_fish")

    -- Arrows are now shown so flag local variable to true
        arrows = true

    end
end

function mission:outro()

  -- If arrows are shown they need to be hidden    
    if arrows then

    -- Hide arrow alert on the grill
	    hideAlertOnBuildingWithTag("arrow", "tag_seafoodGrill")

    -- Hide infographic
        hideMovieOnLocator("infographic_mill.swf", "loc_mill_enqueue_recipe_grilled_fish_idle")

    end

end

