function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

local treasureChestArrows = false

function mission:intro()

  -- THIS TAG SHOULD MATCH THE TAG IN THE OBJECTIVE
    if hasBuildingWithTag("tag_treasure_chest_keani") then

    -- Show arrow on keani's rep chest
        showAlertOnBuildingWithTag("arrow", "tag_treasure_chest_keani")
    
    -- Keani's treasure chest arrows are now shown so flag local variable to true
        treasureChestArrows = true

    end

end

function mission:outro()

  -- Keani's treasure chest arrows are shown they need to be hidden    
    if treasureChestArrows then

    -- Hide arrow on keani's rep chest
    	hideAlertOnBuildingWithTag("arrow", "tag_treasure_chest_keani")

	end

end