
#include <Skinning.hs>

uniform Mat4_h worldMatrix;



void main()
{

    // Add skinning

	pixelPosition = MULT_MAT_VEC(SkinnedTransform(vertexBoneWeights, vertexBoneIndices), Vec4(vertexPosition.xyz, 1.0));

	pixelPosition.y = max(pixelPosition.y, 0.0);

    pixelPosition = MULT_MAT_VEC(viewProjMatrix, MULT_MAT_VEC(worldMatrix, pixelPosition));

}

