//
//  pointsDull.vs
//
//  Created by Aaron Bossert. (aaronb@z2.com)
//  Copyright (c) 2013 Z2Live. All rights reserved.
//


// uniforms
uniform Mat4_h worldMatrix;

uniform Vec2_h gUVOffset;
uniform Vec2_h gUVScale;


// varyings
varying Vec4_l pixelColorScale;

void main()
{
    texture1_uv = (texture1_uv * gUVScale) + gUVOffset;

    pixelPosition = MULT_MAT_VEC(viewProjMatrix, MULT_MAT_VEC(worldMatrix, Vec4(vertexPosition.xyz, 1.0)));

    pixelColorScale = vertexColor * colorUniform;
}

