
//
//  prometheusLightingUniforms.hs
//
//  Created by Aaron Bossert. (aaronb@z2.com)
//


#ifndef PrometheusLightingUniforms

#define PrometheusLightingUniforms

// directionalLightDirection is not normalized and should be considered deprecated, use directionalLightTransform[2] instead
uniform Vec3_m directionalLightDirection;
uniform Mat4_h directionalLightTransform;
uniform Vec3_m directionalLightColor;

uniform Mat4_h worldToShadowUVZ;
uniform Mat4_h worldToShadowNDC;

uniform Float_h LightMapIntensity;
uniform Vec3_m ambientColor;
uniform Float_h AmbientLightIntensity;

uniform Float_h ShadowMapPower;
uniform Float_h ShadowMapIntensity;

uniform Float_h transparentShadowColorScale;
uniform Float_h transparentShadowAlpha;
uniform Float_h flatShadowsSlope;
uniform Float_h flatShadowsMaxHeight;

#endif
