
//
//  prometheusLightmapDiffuse.hs
//
//  Created by Aaron Bossert. (aaronb@z2.com)
//

#include <Lightmap.hs> // LightmapContribution
#include <prometheusLightingUniforms.hs>

#if defined Pixel

	#if defined texture2_available
		#define GetLightmapDiffuse() (texture2.rgb * LightMapIntensity)
	#else
		#define GetDiffuseScale() (1.5)
	#endif

#endif


