
//uniforms
uniform Float_h pulseSpeed;
uniform Vec4_h  pulseColor;
uniform Float_h amplitude;

// varyings
varying Vec4_l pixelColorScale;

void main()
{

#ifdef InitWorldTransform
	InitWorldTransform();
#endif

#ifdef ApplyWorldTransform
	ApplyWorldTransform();
#endif

	pixelColorScale = pulseColor;

	Float_h pulsingScale = (sin( (time * 5.0) * pulseSpeed ) * 0.5 + 0.5) * amplitude;

	pixelColorScale.a *= mix( 0.0, 1.0, pulsingScale );

	// transform flatened shadow->screen
    pixelPosition = MULT_MAT_VEC(viewProjMatrix, pixelPosition);
}
