//
//  shadowFlat.vs
//
//  Created by Aaron Bossert. (aaronb@z2.com)
//  Copyright (c) 2013 Z2Live. All rights reserved.
//

#include <ShadowFlat.hs>

void main()
{

#ifdef InitWorldTransform
	InitWorldTransform();
#endif

#ifdef InitWorldPosition
	InitWorldPosition();
#endif

	GetWorldPosition().xyz = FlattenedShadow(GetWorldPosition().xyz, WorldYTranslation() - GetWorldPosition().y);

#ifdef ApplyViewProjTransform
    ApplyViewProjTransform();
#endif

#ifdef SetFog
    SetFog();
#endif

}

