
//
//  windWorldPosition.hs
//
//  Created my Wendleton (joseph@z2.com)
//

#ifndef GetWorldPosition

varying Vec4_h worldPositionVarying;


#ifdef Vertex

	#include <wind.hs>

	uniform Vec3_h gMeshOrigin;
	
	#define InitWorldPosition() worldPositionVarying = wind( ToWorldSpace( Vec4(vertexPosition, 1.0) ), WorldTranslation(), ToWorldSpace( Vec4(gMeshOrigin, 0.0)).xyz );

	#define GetWorldPosition() worldPositionVarying


#endif


#ifdef Pixel

	#define GetWorldPosition() worldPositionVarying

#endif


#endif