
//
//  WorldSpaceUVs.hs
//
//  Created by Joseph Danaher. (joseph@z2.com)
//

#ifdef Vertex

	#define ModifyTexture1UV ModifyTexture1UV

	#include <Helpers.hs>
	uniform Float_h kUTilingFactor;
	uniform Float_h kVTilingFactor;
	uniform Float_h gUScrollSpeed;
	uniform Float_h gVScrollSpeed;

	void ModifyTexture1UV()
	{
		Vec2_h tiling = Vec2( kUTilingFactor, kVTilingFactor );
	    texture1_uv   = GetWorldPosition().xz * tiling;
	    texture1_uv  += Vec2( gUScrollSpeed, gVScrollSpeed ) * time;
	}

#endif








